    # File lib/fog/aws/parsers/iam/get_user_policy.rb, line 13
              def end_element(name)
                case name
                when 'UserName', 'PolicyName'
                  @response['Policy'][name] = value
                when 'PolicyDocument'
                  @response['Policy'][name] = if decoded_string = URI.decode(value)
                                      Fog::JSON.decode(decoded_string) rescue value
                                    else
                                      value
                                    end
                when 'RequestId'
                  @response[name] = value
                end
              end